
Core - Bug # 35244

Status: Closed Priority: Should have
Author: Philipp Gampe Category:
Created: 2012-03-26 Assigned To:
Updated: 2015-01-11 Due date:
TYPO3 Version: 4.7
PHP Version: 5.3
Complexity:
Is Regression: No
Sprint Focus:
Subject: TCAtree inline record triggers 
Description

1PHP Warning: Missing argument 2 for extDirect_DataProvider_BackendUserSettings::addToList() 
2in /home/phil/t3-playground/t3-git/t3lib/extjs/dataprovider/class.extdirect_dataprovider_beusersettings.php line 107

This happens if I try to save a content element with a inline relation from the test extension from #27957.

The reason is that the function processRpc in class.t3lib_extjs_extdirectrouter.php does 
1return call_user_func_array(
2            array($endpointObject, $singleRequest->method),
3            is_array($singleRequest->data) ? $singleRequest->data : array()
4        );

 is called with $singleRequest->data being just array(0 => 'tcaTrees.731c5105a19f1cd75f62dd10f39355b1').

I'll attach the raw json data.

Related issues:
related to Core - Bug # 27957: TCA tree somehow causes fatal error when using... Resolved 2011-07-07

History
#1 - 2012-03-26 18:50 - Philipp Gampe

The json file actually contains three parameters for data.

#2 - 2012-03-26 19:02 - Philipp Gampe

Ok, some more info, maybe it helps.

The exception happens at $index = 111 which would be this entry:
1{"action":"ExtDirect","method":"addToList","data":["tcaTrees.731c5105a19f1cd75f62dd10f39355b1",0,"
4f512819cab1c83f0747fa5a12c50996a64133a8"],"type":"rpc","tid":3070}

Notice that there are no quotes around the second parameter of the data array. In all other lines, quotes do exist.

Also the last line is only 
1{"action":"ExtDirect","method":"addToList","data":["tcaTrees.731c5105a19f1cd75f62dd10f39355b1","
4f512819cab1c83f0747fa5a12c50996a64133a8"],"type":"rpc","tid":3071}

Here the second parameter is missing it all.
#3 - 2012-08-27 17:22 - Björn Pedersen

Same as http://forge.typo3.org/issues/31978 ?

#4 - 2012-08-27 23:11 - Philipp Gampe

I guess.

#5 - 2015-01-11 17:58 - Mathias Schreiber
- Status changed from New to Closed
- Is Regression set to No

seems to be a duplicate

Files
raw-data.json 18.5 kB 2012-03-26 Philipp Gampe
